// MyPrintDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MyPrint.h"
#include "MyPrintDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include "ReportPrint.h"

/////////////////////////////////////////////////////////////////////////////
// CMyPrintDlg dialog

CMyPrintDlg::CMyPrintDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMyPrintDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMyPrintDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMyPrintDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMyPrintDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMyPrintDlg, CDialog)
	//{{AFX_MSG_MAP(CMyPrintDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyPrintDlg message handlers

BOOL CMyPrintDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMyPrintDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMyPrintDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMyPrintDlg::OnOK() 
{
	// TODO: Add extra validation here
	ReportPrint rp;
	
	CSize paperSize;				//设定纸张大小
	paperSize.cx = 210;				
	paperSize.cy = 297;
	rp.SetPaperSize(paperSize);

	PRINTINFO printInfo[2];							//设置打印数据
	printInfo[0].text[0].Format("well  1");
	printInfo[0].text[1].Format("good  1");
	
	printInfo[1].text[0].Format("well  2");
	printInfo[1].text[1].Format("good  2");
	rp.SetPrintInfo(printInfo,2);

	rp.SetTextFont("15","宋体");					//设置字体


	rp.m_bEditMode = TRUE;				//编辑模式

//	rp.Print(FALSE);					//TRUE 为可以在打印前编辑纸张等参数   建议用FALSE
	rp.PrintPreview();


	CDialog::OnOK();
}
